/*
 * Copyright (c) 2014 Max Gttlicher
 *
 * This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.
 * 
 * Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:
 * 
 * The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
 *     Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
 * This notice may not be removed or altered from any source distribution.
 */

import java.io.File;
import java.util.HashMap;
import java.util.List;
import java.util.Set;


public class Tester {
	public static void main(String[] args) {
		File config = new File("config.txt");
		Converter cfg = new Converter(new File("painterly.zip"), config);
		
		HashMap<String, String> textures = cfg.getConfig().readSection("IDTexture");
		
		Set<String> keys = textures.keySet();
		System.out.println(" ID  =  Path                                                State"
				+        "\n-----+----------------------------------------------------+-----------------");
		for(String key : keys) {
			System.out.printf("%4s = %50.50s %s\n", key, textures.get(key), key.indexOf('#') == -1 ? "" : "  unused/comment");
		}
		
		System.out.println();
		
		List<String> lua = cfg.getVars();
		
		for(String v : lua) {
//			System.out.println(v);
		}
		
//		List<String> lua = cfg.convertTexturesToLua();
//		for(String v:lua) {
//			System.out.println(v);
//		}
		
		cfg.writeToFile(new File("template.lua"), new File("painterly.lua"), "0.0.1", "Cinus Minus", "all known by now", "Ported by mc2d tp converter");
		
		System.out.println("Finished!");
	}

}
